#set -x
file=/tmp/$$
#echo "runme.sh exe"
if [ -e /etc/ant_version ]; then
	if [ ! -e version ]; then
		echo "RUNME: invalid package!!!" >> /tmp/upgrade_result
		rm * -rf > /dev/null 2>&1
		cd ..
		rmdir /tmp/mem/fw
		umount -l /tmp/mem > /dev/null 2>&1
		rmdir /tmp/mem
		exit 3
	fi
	nVer=`cat version`
	oVer=`cat /etc/ant_version`
	if [ ${nVer} -lt ${oVer} ]; then
		echo "RUNME: Cannot Downgrade!!!" >> /tmp/upgrade_result
		rm * -rf > /dev/null 2>&1
                cd ..
                rmdir /tmp/mem/fw
                umount -l /tmp/mem > /dev/null 2>&1
                rmdir /tmp/mem
		exit 4
	fi	
fi

if [ -e /dev/mmcblk0p3 ]; then
    mkdir $file.boot
    mount /dev/mmcblk0p1 $file.boot
    cp -rf * $file.boot/
    umount $file.boot
    sync
fi
if [ -e /dev/mtd8 ]; then
    if [ -e initramfs.bin.SD ]; then		
        flash_eraseall /dev/mtd8 >/dev/null 2>&1
        nandwrite -p /dev/mtd8 initramfs.bin.SD >/dev/null 2>&1
    fi

    if [ -e am335x-boneblack-bitmainer.dtb ]; then
        flash_eraseall /dev/mtd6 >/dev/null 2>&1
        nandwrite -p /dev/mtd6 am335x-boneblack-bitmainer.dtb >/dev/null 2>&1
    fi
    
    if [ -e uImage.bin ]; then
        flash_eraseall /dev/mtd7 >/dev/null 2>&1
        nandwrite -p /dev/mtd7 uImage.bin >/dev/null 2>&1
    fi
    if [ -e u-boot.img ]; then
        flash_eraseall /dev/mtd4 >/dev/null 2>&1
        nandwrite -p /dev/mtd4 u-boot.img >/dev/null 2>&1
        flash_eraseall /dev/mtd5 >/dev/null 2>&1
    fi
fi
